QGIS Application - Bug report #15944
pip and easy_install is not work on OSGeo4W Shell
2016-12-06 06:43 PM - BJ Jang

Status: Closed

Priority: Normal

Assignee:

Category: Windows Package

Affected QGIS version:2.18.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 23860
Description

Hi developers~

On the OSGeo4W Shell by windows version QGIS 2.14, 2.16, 2.18,

the pip and easy_install command is not work, then | can't install additional Python modules.

After execute OSGeo4W Shell with Administrator ortho, type 'pip' on command line.
| can see error message like below.

"

Fatal error in launcher: Unable to create process using

For repair pip error, | type command like below.

python -m pip install --upgrade pip

After this command re type 'pip' command, then pip command work well.

For repair easy_install, | type command like below.

pip install --upgrade setuptools

In conclusion, please update pip and setuptools models in Windows QGIS Packag.

History

#1 - 2017-05-01 01:02 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2017-05-01 10:11 AM - Giovanni Manghi
- Resolution set to up/downstream

- Status changed from Open to Closed

- Category set to Windows Package

- Description updated

This must be reported in the osgeo4w tracker, thanks.
